;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          blowfish.asd
;;;; Purpose:       ASDF definition file for blowfish
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Aug 2003
;;;;
;;;; $Id: blowfish.asd,v 1.1 2003/08/15 04:34:37 kevin Exp $
;;;; *************************************************************************

(defpackage #:blowfish-system (:use #:asdf #:cl))
(in-package #:blowfish-system)

(defsystem blowfish
  :name "blowfish"
  :author "Alain Picard"
  :maintainer "Kevin M. Rosenberg <kmr@debian.org>"
  :licence "LLGPL"
  :description "Blowfish encryption algoritm"

  :components
  ((:file "blowfish")))

(defmethod perform ((o test-op) (c (eql (find-system 'blowfish))))
  (funcall (intern (symbol-name '#:run-test-harness)
		   (find-package '#:blowfish)))
  (format t "~&All tests completely correctly~%"))

